#### IDDN

#### Synopsis

    HELP:   (HOST) Symbolic file name for input file [FLAMIN]
    TYPE:   STRING
    SYNTAX: IDDN['str'...]

#### Description

With this parameter the DD-NAME for the FLAM input file in the DD JCL-command can be changed. It is the symbolic DD file name for the normaly used FLAM input file (z/OS only).

The DD-NAME of this FLAM input file is `FLAMIN` by default and can be modified using parameter `IDDN=<name>`.

All input is read by default from FLAM input file:

    //FLAMIN DD DSN=uncompressed_input_file,
    //          DISP=SHR

or

    //... EXEC PGM=FLAM,
    // PARM='C,FLAMIN=>USER.DAT.LIST'

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `IDDN=filename`
    - Note: This parameter allows to change the DD-NAME of the DD command. A '>' before the filename means the file contains a list of files to be compressed.

Values

- z/OS
  - DD-NAME with max. 8 characters.
  - > DD-NAME with max. 7 characters

Default

- z/OS
  - FLAMIN DD ......

Valid for

- compression